Name:	 qt5-qtstyleplugins
Summary: Classic Qt widget styles
Version: 5.0.0
Release: %mkrel 1
License: LGPLv2 or GPLv2
URL:	 https://github.com/qtproject/qtstyleplugins
Source0: qtstyleplugins-master.zip
Group: Graphical desktop/Other

%description
%{summary}, including cleanlooks, motif, plastique, qgtk.


%prep
%setup -qn qtstyleplugins-master

%build
qmake PREFIX='/usr' \
QMAKE_CFLAGS_RELEASE="${CFLAGS}" \
QMAKE_CXXFLAGS_RELEASE="${CXXFLAGS}"

make

%install
%make_install INSTALL_ROOT=%{buildroot}


rm -rf %buildroot/%{_libdir}/cmake/Qt5Gui/Qt5Gui_QGtk2ThemePlugin.cmake
rm -rf %buildroot/%{_libdir}/cmake/Qt5Widgets/Qt5Widgets_QBB10StylePlugin.cmake
rm -rf %buildroot/%{_libdir}/cmake/Qt5Widgets/Qt5Widgets_QCleanlooksStylePlugin.cmake
rm -rf %buildroot/%{_libdir}/cmake/Qt5Widgets/Qt5Widgets_QGtk2StylePlugin.cmake
rm -rf %buildroot/%{_libdir}/cmake/Qt5Widgets/Qt5Widgets_QMotifStylePlugin.cmake
rm -rf %buildroot/%{_libdir}/cmake/Qt5Widgets/Qt5Widgets_QPlastiqueStylePlugin.cmake

%files
%{_libdir}/qt5/plugins/platformthemes/libqgtk2.so
%{_libdir}/qt5/plugins/styles/libbb10styleplugin.so
%{_libdir}/qt5/plugins/styles/libqcleanlooksstyle.so
%{_libdir}/qt5/plugins/styles/libqgtk2style.so
%{_libdir}/qt5/plugins/styles/libqmotifstyle.so
%{_libdir}/qt5/plugins/styles/libqplastiquestyle.so

%changelog
* Mon Oct 15 2018 adrianomorselli <adrianomorselli> 5.0.0-1uplos2018
- update
